Bug 239956 - linphone should use system libgsm instead of its local copy
Summary: linphone should use system libgsm instead of its local copy
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: linphone (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-13 12:03 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 01:57:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2007-05-13 12:03:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
linphone comes with a local copy of libgsm and links it in statically. Now that libgsm is available as a separate package (see bug 239770), it'd be nice if linphone used it.

Version-Release number of selected component (if applicable):
linphone-1.7.1-1

How reproducible:
Always


Steps to Reproduce:
1. Build linphone


Actual Results:
Internal copy of gsm lib is used.

Expected Results:
System gsm lib should be used.

Additional info:

Comment 1 Jeffrey C. Ollie 2007-05-13 13:01:39 UTC
Unfortunately GSM does not exist in Fedora as a separate library.  It is in the
repository which must not be named.  I've been considering for a while whether
linphone should move there anyway so that ffmpeg can be used to compile in
support for video.

Comment 2 Dominik 'Rathann' Mierzejewski 2007-05-13 13:06:48 UTC
You should read more carefully. I've just told you that it *IS* available in
Fedora. In fact, it's just been built. See the bugzilla link I gave above.


Comment 3 Jeffrey C. Ollie 2007-05-16 01:57:29 UTC
Linphone linked against the system GSM library should be available in the next
batch of packages.

Comment 4 Dominik 'Rathann' Mierzejewski 2007-05-16 17:12:07 UTC
That was quick! Thank you!


Note You need to log in before you can comment on or make changes to this bug.